aboutsummaryrefslogtreecommitdiff
path: root/libraries/tepl
diff options
context:
space:
mode:
authorJuan M. Lasca <juanmlasca@gmail.com>2023-07-07 21:11:02 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-07-07 21:11:02 +0700
commitf55458456cefbeff2c2e28030c040f6a786c4ed8 (patch)
tree212311f538e2d6ed8da253e398ad17bf49324e3a /libraries/tepl
parentb4a4b3a233cb109e3e885f4c789032f211d5cbcc (diff)
libraries/tepl: Added (Helper Library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/tepl')
-rw-r--r--libraries/tepl/README3
-rw-r--r--libraries/tepl/slack-desc19
-rw-r--r--libraries/tepl/tepl.SlackBuild110
-rw-r--r--libraries/tepl/tepl.info10
4 files changed, 142 insertions, 0 deletions
diff --git a/libraries/tepl/README b/libraries/tepl/README
new file mode 100644
index 000000000000..70efd7881d0c
--- /dev/null
+++ b/libraries/tepl/README
@@ -0,0 +1,3 @@
+Tepl is a library that eases the development of GtkSourceView-based
+text editors and IDEs. Tepl was previously named Gtef.
+
diff --git a/libraries/tepl/slack-desc b/libraries/tepl/slack-desc
new file mode 100644
index 000000000000..74aeb7f3dde4
--- /dev/null
+++ b/libraries/tepl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tepl: tepl (Helper library for GtkSourceView-based editors)
+tepl:
+tepl: Tepl is a library that eases the development of GtkSourceView-based
+tepl: text editors and IDEs. Tepl was previously named Gtef.
+tepl:
+tepl:
+tepl:
+tepl:
+tepl:
+tepl: for more info visit: https://gitlab.gnome.org/swilmet/tepl
+tepl:
diff --git a/libraries/tepl/tepl.SlackBuild b/libraries/tepl/tepl.SlackBuild
new file mode 100644
index 000000000000..c4e2fbf721cd
--- /dev/null
+++ b/libraries/tepl/tepl.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+
+# Slackware build script for tepl
+
+# Copyright 2010,2011 Robby Workman, Northport, Alabama, USA
+# Copyright 2011 byteframe
+# Maintained 2020, 2021, 2022 by Donald Cooley <chytraeu@sdf.org>
+# Copyright 2022 Juan M. Lasca <juanmlasca@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Special thanks to Brandon Pribula, who kindly handed over maintenance to me.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=tepl
+VERSION=${VERSION:-6.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true
+"${NINJA:=ninja}"
+DESTDIR=$PKG $NINJA install
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/tepl/tepl.info b/libraries/tepl/tepl.info
new file mode 100644
index 000000000000..f7f8455f1f59
--- /dev/null
+++ b/libraries/tepl/tepl.info
@@ -0,0 +1,10 @@
+PRGNAM="tepl"
+VERSION="6.4.0"
+HOMEPAGE="https://gitlab.gnome.org/swilmet/tepl"
+DOWNLOAD="https://download.gnome.org/sources/tepl/6.4/tepl-6.4.0.tar.xz"
+MD5SUM="3554454f0b74b5f5584011c46fd35396"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gtksourceview4 amtk"
+MAINTAINER="Juan M. Lasca"
+EMAIL="juanmlasca@gmail.com"